#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyFloat
from CompartmentPrediction import MobyCompartmentPrediction


class MobyTargetP_result(MobyCompartmentPrediction):
    """ Description: The results of a TargetP (http://www.cbs.dtu.dk/services/TargetP/) prediction
        Author: atidb.org
        Contact: matthew.couchman@bbsrc.ac.uk
    """
    def __init__(self,namespace="",id="",Compartment="",C_score=0.0,M_score=0.0,O_score=0.0,S_score=0.0,articleName=""):
        self._articles={"Compartment":"compartment","C_score":"c_score","M_score":"m_score","O_score":"o_score","S_score":"s_score"}
        self.namespace=namespace
        self.id=id
        self.Compartment=Compartment
        self.C_score=C_score
        self.M_score=M_score
        self.O_score=O_score
        self.S_score=S_score
        self.__prefix__="moby"
        self.__tag__="TargetP_result"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Compartment" or elt.getAttribute("moby:articleName")=="Compartment"):
                t=MobyString()
                t.fromMoby(elt)
                self.Compartment=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="C_score" or elt.getAttribute("moby:articleName")=="C_score"):
                t=MobyFloat()
                t.fromMoby(elt)
                self.C_score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="M_score" or elt.getAttribute("moby:articleName")=="M_score"):
                t=MobyFloat()
                t.fromMoby(elt)
                self.M_score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="O_score" or elt.getAttribute("moby:articleName")=="O_score"):
                t=MobyFloat()
                t.fromMoby(elt)
                self.O_score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="S_score" or elt.getAttribute("moby:articleName")=="S_score"):
                t=MobyFloat()
                t.fromMoby(elt)
                self.S_score=t.content